Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056265 - ath9k wifi unable to connect with kernel-3.12.8-300.fc20.x86_64
Summary: ath9k wifi unable to connect with kernel-3.12.8-300.fc20.x86_64
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: fedora-kernel-wireless-ath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 19:50 UTC by charles.unix.pro
Modified: 2014-06-09 15:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 14:53:30 UTC


Attachments (Terms of Use)

Description charles.unix.pro 2014-01-21 19:50:28 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/33.0.1750.29 Safari/537.36
Build Identifier: 

ath9k wifi unable to connect with kernel-3.12.8-300.fc20.x86_64

Reverting to kernel-3.11.10-301.fc20.x86_64 fixes issue.

02:00.0 Network controller: Qualcomm Atheros AR9287 Wireless Network Adapter (PCI-Express) (rev 01)
	Subsystem: Lite-On Communications Inc Device 6603
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at b2400000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k

Jan 20 17:30:06 sudo dhclient[5876]: Listening on LPF/em1/b8:70:f4:a8:02:4a
Jan 20 17:30:06 sudo wicd: Listening on LPF/em1/b8:70:f4:a8:02:4a
Jan 20 17:30:06 sudo dhclient[5876]: Sending on   LPF/em1/b8:70:f4:a8:02:4a
Jan 20 17:30:06 sudo wicd: Sending on   LPF/em1/b8:70:f4:a8:02:4a
Jan 20 17:30:06 sudo dhclient[5876]: Sending on   Socket/fallback
Jan 20 17:30:06 sudo wicd: Sending on   Socket/fallback
Jan 20 17:30:06 sudo dhclient[5876]: DHCPRELEASE on em1 to 10.1.10.1 port 67 (xid=0x4b6be1b0)
Jan 20 17:30:06 sudo dhclient[5876]: send_packet: Network is unreachable


Reproducible: Always

Steps to Reproduce:
1. Boot kernel-3.12.8-300.fc20.x86_64
2. Attempt to connect a Qualcomm Atheros AR9287 Wireless Network Adapter to a WiFI access point.


Actual Results:  
Connection fails

Expected Results:  
Expect result is succesful connection to access point.

Comment 1 John Greene 2014-01-22 15:37:11 UTC
Can you upload a full dmesg for me please?  Will take a look.  Thanks..

Comment 2 John Greene 2014-02-12 14:53:30 UTC
Is this still a problem? If so, I need your information to help.  As always, feel free to reopen this if it's still and issue.

Comment 3 charles.unix.pro 2014-06-09 15:40:56 UTC
(In reply to John Greene from comment #2)
> Is this still a problem? If so, I need your information to help.  As always,
> feel free to reopen this if it's still and issue.

I dealt with the problem be reverting an earlier kernel; when the next kernel release happened I rolled up to it, and it did not demonstrate the issue.

I do not know if this was a specific kernel bug, or some other issue that was transient, so I'm ok with letting this one go.

Thank you for your attention.

-- Charles


Note You need to log in before you can comment on or make changes to this bug.